<?php
namespace modules\hse\models;

use yii\db\ActiveRecord;

/**
 * Exceedance ActiveRecord
 * Table: hse_exceedance
 */
class Exceedance extends ActiveRecord
{
    public static function tableName()
    {
        return '{{%hse_exceedance}}';
    }

    public function rules()
    {
        return [
            [['shift_date','rule','value','created_at'], 'required'],
            [['person_id','shift_index','created_at'], 'integer'],
            [['value'], 'string'],
            [['rule'], 'string', 'max'=>128],
            [['shift_date'], 'safe'],
        ];
    }
}
